<div class="wrap" id="LB_cont">
	<h1>Lnk.Bio integration</h1>
	<h2>Automatically publish new Wordpress Posts as links on Lnk.Bio</h2>

	<form method="post" action="options.php"> 
		<p>You can retrieve these parameters from your Lnk.Bio account under the <a href="https://lnk.bio/manage/integrations/wordpress" target="_Blank" rel="noopener noreferer">Wordpress integration page.</a></p>
		<?php settings_fields('lnkbio_options'); ?>
		<?php do_settings_sections('lnkbio_options'); ?>
		<table class="form-table">
			<tr valign="top">
				<th scope="row">Lnk.Bio ID</th>
				<td><input type="text" name="lnkbio_id" value="<?php echo esc_attr(get_option('lnkbio_id')); ?>" /></td>
			</tr>
			
			<tr valign="top">
				<th scope="row">Lnk.Bio Secret</th>
				<td><input type="password" name="lnkbio_secret" value="<?php echo esc_attr(get_option('lnkbio_secret')); ?>" /></td>
			</tr>
		</table>

		<table width="100%">
			<tr>
				<td width="50%"><?php submit_button(); ?></td>
				<td width="50%">
					<p class="submit">
					<?php if (get_option('lnkbio_id') && get_option('lnkbio_secret')) { ?>
						<button class="button button-secondary" id="LB_test" type="button">Test connection</button> 
						<span class="spinner"></span>
					<?php } ?>
					</p>
				</td>
			</tr>
		</table>
		

		
	</form>

</div>